pvattest-perform(1)

NAME
pvattest perform - Send the attestation request to the Ultravisor

SYNOPSIS
pvattest perform [OPTIONS] [INPUT] [OUTPUT]

DESCRIPTION
Run a measurement of this system through ’/dev/uv’. This device must be accessible and the attestation Ultravisor facility must be present. The input must be an attestation request created with ’pvattest create’. Output will contain the original request and the response from the Ultravisor.

OPTIONS

<INPUT>
    Specify the request to be sent.

<OUTPUT>
    Write the result to FILE.

-u, --user-data <File>
    Provide up to 256 bytes of user input User-data is arbitrary user-defined data appended to the Attestation measurement. It is verified during the Attestation measurement verification. May be any arbitrary data, as long as it is less or equal to 256 bytes

-v, --verbose
    Provide more detailed output.

-h, --help
    Print help (see a summary with '-h').

EXAMPLES
Perform an attestation measurement with the attestation request 'attreq.bin' and write the output to 'attresp.bin'.

       $ pvattest perform attreq.bin attresp.bin

SEE ALSO

pvattest(1)